Peach Payments and Heartbleed

Follow

As you may be aware that recently a vulnerability was detected in a popular OpenSSL cryptographic software library. This could potentially allow a hacker to steal information protected, under normal conditions, by the SSL/TLS encryption used to secure the Internet.

You can read more about this bug here: http://heartbleed.com/

We at Peach Payments take such issues that could potentially impact the security of our data and systems extremely seriously. We immediately looked into our systems and tested them for this vulnerability. This is what we found:

  • Peach Payments' LIVE system was not vulnerable and hence was NOT AFFECTED by this bug
  • Our TEST platform was found to be vulnerable
  • The TEST platform was patched on 9th April 2014 and is also now secure

 

Please feel free to contact us on support@peachpayments.com if you have any further questions or concerns with respect to our systems and the Heartbleed bug.

 

Thank you

Your Peach Payments Team

Have more questions? Submit a request

Comments

Powered by Zendesk